import type { DId } from '../../utils/types';
import type { AbstractTreeNode, TreeOrigin } from './abstract-node';
export declare const SEPARATOR = " / ";
export declare const TREE_NODE_KEY: unique symbol;
export declare function getText<V extends DId, T extends TreeOrigin & {
    label: string;
}>(node: AbstractTreeNode<V, T>): string;
