var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import { getClassName } from '@react-devui/utils';
import { registerComponentMate } from '../../utils';
import { useComponentConfig, usePrefixConfig } from '../root';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DCard.Action' });
function CardAction(props, ref) {
    var _a, _b;
    const _c = useComponentConfig(COMPONENT_NAME, props), { children } = _c, restProps = __rest(_c, ["children"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    return (_jsx("div", Object.assign({}, restProps, { ref: ref, className: getClassName(restProps.className, `${dPrefix}card__action`), role: (_a = restProps['role']) !== null && _a !== void 0 ? _a : 'button', tabIndex: (_b = restProps['tabIndex']) !== null && _b !== void 0 ? _b : 0 }, { children: children })));
}
export const DCardAction = React.forwardRef(CardAction);
