/// <reference types="react" />
import type { DId } from '../../utils/types';
import type { DFormControl } from '../form';
import type { DCheckboxItem } from './CheckboxGroupRenderer';
export interface DCheckboxGroupProps<V extends DId> extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dFormControl?: DFormControl;
    dModel?: V[];
    dList: DCheckboxItem<V>[];
    dDisabled?: boolean;
    dVertical?: boolean;
    onModelChange?: (values: V[]) => void;
}
export declare function DCheckboxGroup<V extends DId>(props: DCheckboxGroupProps<V>): JSX.Element | null;
